Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-reason-q850-loc-01.txt

From: Keith Drage <[email-masked]>
Date: Mon, 2 Oct 2017 12:15:36 +0100

I notice neither the ABNF or the text provide normative restrictions to 
limit this parameter to the case where the value "q850" is used 
elsewhere in the Reason header field.

So consider the case where I have implemented SIP, the Reason header 
extension, and this extension. I then receive a Reason header field with 
a value different to q850, but with a location. Presumably this should 
be considered a error, but t would appear that syntactic analysis based 
on the ABNF does not throw this out and I have to get to the level of 
"does the received information make sense" working outside what the 
draft describes, before deciding what to discard, and the document 
offers nothing in terms of telling me just to discard the location, or 
to discard the entire Reason header field.

In general I would think I would just discard the erroneous location, 
but the document does not tell me so.

Keith

On 29-Sep-17 9:51 AM, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Session Initiation Protocol Core WG of the IETF.
>
>          Title           : ISUP Cause Location Parameter for the SIP Reason Header Field
>          Author          : Roland Jesske
> 	Filename        : draft-ietf-sipcore-reason-q850-loc-01.txt
> 	Pages           : 6
> 	Date            : 2017-09-29
>
> Abstract:
>     The SIP Reason header field is defined for carrying ISUP cause values
>     as well as SIP response codes.  Some services in SIP networks may
>     need to know the ISUP location where the call was released in the
>     PSTN network to correctly interpret the reason of release.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-sipcore-reason-q850-loc/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-sipcore-reason-q850-loc-01
> https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-reason-q850-loc-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-reason-q850-loc-01
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: "Jesske, Roland" <[email-masked]>
Date: Mon, 2 Oct 2017 11:26:36 +0000

Hi Keith,
Thank you for your comment.
You are right, this should be considered and I will add some words describing such procedure. i.e. discarding the location.

Best Regards

Roland

> -----Ursprüngliche Nachricht-----
> Von: sipcore [mailto:[email-masked]] Im Auftrag von Keith Drage
> Gesendet: Montag, 2. Oktober 2017 13:16
> An: [email-masked]
> Betreff: Re: [sipcore] I-D Action: draft-ietf-sipcore-reason-q850-loc-01.txt
> 
> I notice neither the ABNF or the text provide normative restrictions to limit
> this parameter to the case where the value "q850" is used elsewhere in the
> Reason header field.
> 
> extension, and this extension. I then receive a Reason header field with a
> value different to q850, but with a location. Presumably this should be
> considered a error, but t would appear that syntactic analysis based on the
> ABNF does not throw this out and I have to get to the level of "does the
> received information make sense" working outside what the draft describes,
> before deciding what to discard, and the document offers nothing in terms
> of telling me just to discard the location, or to discard the entire Reason
> header field.
> 
> In general I would think I would just discard the erroneous location, but the
> document does not tell me so.
> 
> Keith
> 
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >